<?php

namespace MyMeals\Services;

/**
 * A static class
 */
class JWT {

	const SECRET_KEY = "MYMEALSTF";

	public static function generateToken($payload) {
        $header = [
            "typ" => "JWT"
        ];
        $unsignedToken = self::base64_url_encode(json_encode((object)$header)) . "." . self::base64_url_encode(json_encode((object)$payload));
        return $unsignedToken . "." . self::sign($unsignedToken);
    }

	public static function validateToken($token) {
        $isValidToken = false;
        $segments = explode(".", $token);

        if (count($segments) === 3) {
	        list($headb64, $bodyb64, $cryptob64) = $segments;
	        $content = $headb64 . "." . $bodyb64;
	        $isValidToken = self::sign($content) === $cryptob64;
        }
        return $isValidToken;
    }

    public static function getTokenData($token) {
        $segments = explode('.', $token);
        list($headb64, $bodyb64, $cryptob64) = $segments;
        return json_decode(self::base64_url_decode($bodyb64), true);
    }

    private static function sign($data) {
        return self::base64_url_encode(hash_hmac("sha256", $data, self::SECRET_KEY, true));
    }

    private static function base64_url_encode($val) {
        return strtr(base64_encode($val), '+/=', '-_,');
    }

    private static function base64_url_decode($val) {
        return base64_decode(strtr($val, '-_,', '+/='));
    }
}