function ruiDateNativeController($scope, $element, ZhUtil, ScreenService) {
	var defaultFormat = "YYYY-MM-DD";
	var field = $scope.field;
	var input = $element.get(0).querySelector(".rui-txt-input-text");
	var range = {
		maxDate: field.maxDate,
		minDate: field.minDate
	};

	field.applyDefaultValue = function() {
		if (field.widget.currentRow) {
			field.widget.currentRow[field.name] = typeof field.defaultValue === "undefined" ? "" : ZhUtil.evaluate(field.defaultValue);
			field.currentDate = getValueWithDefaultFormat(field.widget.currentRow[field.name]);
		}
	};

	if(field.widget.currentRow && field.defaultValue) {
		field.applyDefaultValue();
	}

	$scope.getLabel = function(label, validations) {
		label = ScreenService.i18n(label);
		if (validations && Object.keys(validations).length && validations.required) {
			label += ' *';
		}
		return label;
	};
	$scope.formatValue = function() {
		if (field.currentDate) {
			field.widget.currentRow[field.name] = moment(field.currentDate, defaultFormat).format(field.dateFormat);
		} else {
			field.widget.currentRow[field.name] = field.currentDate;
		}
	};

	updateRange(field.minDate, field.maxDate);

	if (Object.getOwnPropertyDescriptor(field, 'maxDate') && !Object.getOwnPropertyDescriptor(field, 'maxDate').get) {
		Object.defineProperty(field, 'maxDate', {
	        set: function(maxDate) {
	            range.maxDate = maxDate;
	            updateRange(null, maxDate);
	        },
	        get: function(newValue) {
	            return range.maxDate;
	        }
	    });
	}

	if (Object.getOwnPropertyDescriptor(field, 'minDate') && !Object.getOwnPropertyDescriptor(field, 'minDate').get) {
		Object.defineProperty(field, 'minDate', {
	        set: function(minDate) {
	            range.minDate = minDate;
	            updateRange(minDate, null);
	        },
	        get: function(newValue) {
	            return range.minDate;
	        }
	    });
	}

	function updateRange(minDate, maxDate) {
		if (maxDate) {
			var max = moment(ZhUtil.evaluate(maxDate), field.dateFormat).format(defaultFormat);
			input.setAttribute("max", max);
		}
		if (minDate) {
			var min = moment(ZhUtil.evaluate(minDate), field.dateFormat).format(defaultFormat);
			input.setAttribute("min", min);
		}
	}

	function getValueWithDefaultFormat(value) {
		return moment(value, field.dateFormat).format(defaultFormat);
	}
}